
Redmine - Patch #19706

Issue show : optimizations

2015-04-24 18:14 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 2.6.5   

Description

# in app/controllers/issue_controller.rb in

def show

  @changesets = @issue.changesets.visible.includes([:repository, :user, :issues]).all

# in app/helper/issues_helper in :

def render_descendants_tree(issue)

  issue_list(issue.descendants.visible.includes([:status, :priority, :tracker]).sort_by(&:lft)) do

 |child, level|

Associated revisions

Revision 14239 - 2015-05-09 11:03 - Jean-Philippe Lang

Preload changeset associations (#19706).

Revision 14240 - 2015-05-09 11:06 - Jean-Philippe Lang

Preload issue associations.

Revision 14250 - 2015-05-10 09:22 - Jean-Philippe Lang

Merged r14239 and r14240 (#19706).

Revision 14254 - 2015-05-10 09:29 - Jean-Philippe Lang

Merged r14239 and r14240 (#19706).

History

#1 - 2015-04-24 18:16 - Jérôme BATAILLE

Some optimizations could be made in parse_redmine_links too, because issues and priorities are loaded multiple times (from cache though)

#2 - 2015-05-09 11:37 - Jean-Philippe Lang

- Category set to Performance

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.3

Patch committed with slight changes, thanks.

#3 - 2015-05-10 09:22 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#4 - 2015-05-10 09:29 - Jean-Philippe Lang

- Target version changed from 3.0.3 to 2.6.5

#5 - 2015-05-11 13:19 - Jérôme BATAILLE

Thanks for having reviewed this patch !
